Bug 166520 - CAN-2004-2479 squid information disclosure issue
CAN-2004-2479 squid information disclosure issue
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-08-22 15:59 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-766
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-15 04:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-08-22 15:59:39 EDT
Squid Web Proxy Cache 2.5 might allow remote attackers to obtain sensitive
information via URLs containing invalid hostnames that cause DNS operations to
fail, which results in references to previously used error messages.

This issue was fixed in squid-2.5.STABLE8
Comment 1 Josh Bressers 2005-08-22 16:01:10 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Martin Stransky 2005-08-25 04:39:56 EDT
I'm going to add it to U7...

-------- Original Message --------
Date: Wed, 24 Aug 2005 09:48:41 -0400
From: Josh Bressers <bressers@redhat.com>
To: Martin Stransky <stransky@redhat.com>
Cc: mjcox@redhat.com
Subject: Re: How important is this? (#166520)

On Wed, Aug 24, 2005 at 02:58:17PM +0200, Martin Stransky wrote:
> Hi,
> How important is this issue?
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166520
> Are you planning to push it as async errata? Because I have some other 
> bugs in squid and I want to fix them in U7.

This issue is not terribly important.  Unless I'm mistaken, there really
isn't any useful information that can be gathered using this error.  If you
want to slate this for U7 I'm all for it.

Comment 3 Red Hat Bugzilla 2005-09-15 04:57:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.